Summary: GNU time Utility
Name: time
Version: 1.7
Release: 4perf
Copyright: GPL
Group: Utilities/System
Source: ftp://prep.ai.mit.edu/pub/gnu/time-1.7.tar.gz
Patch: time-perf.patch
Prefix: /usr

%description
The 'time' utility is used as a sort of 'stopwatch' to time the execution
of a specified command. It can aid in the optimization of programs for
maximum speed, as well as a number of other uses.

This version has been modified to add performance counter support.

%changelog
* Wed Mar 11 1998 Erik Hendriks <hendriks@cesdis.gsfc.nasa.gov>
- Modified for performance counter support

* Mon Oct 27 1997 Cristian Gafton <gafton@redhat.com>
- fixed info handling

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated the spec file; added info file handling

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%prep
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -f /usr/info/time.info*
make install
gzip -9nf /usr/info/time.info
strip /usr/bin/time

%post
/sbin/install-info /usr/info/time.info.gz /usr/info/dir \
	--entry="* time: (time).		GNU time Utility" 

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/time.info.gz /usr/info/dir \
	--entry="* time: (time).		GNU time Utility" 
fi

%files
%doc NEWS README
/usr/bin/time
/usr/info/time.info*
